Bug 1870303 - NodePort stuck open within SDN after unidling
Summary: NodePort stuck open within SDN after unidling
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 3.11.0
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: 4.5.z
Assignee: Surya Seetharaman
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On: 1857743
Blocks: 1870304
TreeView+ depends on / blocked
 
Reported: 2020-08-19 17:41 UTC by OpenShift BugZilla Robot
Modified: 2020-09-14 14:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-14 14:54:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift sdn pull 173 None closed [release-4.5] Bug 1870303: Port stuck open when ep deleted before svc in unidling mode 2020-09-14 02:25:29 UTC
Red Hat Product Errata RHBA-2020:3618 None None None 2020-09-14 14:55:00 UTC

Comment 5 zhaozhanqi 2020-09-09 09:53:50 UTC
Verified this bug on 4.5.0-0.nightly-2020-09-07-062006

steps:

1. oc new-project random
2. oc new-app centos/ruby-25-centos7~https://github.com/sclorg/ruby-ex.git
3. <wait the pod running>
4. oc create -f ruby-nodeport.yaml
apiVersion: v1
kind: Service
metadata:
  name: np-ruby-ex
spec:
  externalTrafficPolicy: Cluster
  ports:
  - name: 8080-tcp
    nodePort: 30035
    port: 8080
    protocol: TCP
    targetPort: 8080
  selector:
    app: ruby-ex
    deploymentconfig: ruby-ex
  sessionAffinity: None
  type: NodePort

5. oc idle -n random --all
6. oc delete ep --all
7. oc delete svc --all
8. oc delete project random
9. oc new-project random
10. oc new-app centos/ruby-25-centos7~https://github.com/sclorg/ruby-ex.git
11.  oc create -f ruby-nodeport.yaml

Check the sdn logs:

oc logs sdn-lq2gv -n openshift-sdn | grep 30035
I0909 09:45:29.026017    2758 proxier.go:1656] Opened local port "nodePort for random/np-ruby-ex:8080-tcp" (:30035/tcp)
I0909 09:45:53.783955    2758 proxier.go:818] Claimed local port <nil>:30035/TCP
I0909 09:45:53.789527    2758 proxier.go:866] Opened iptables from-containers public port for service "random/np-ruby-ex:8080-tcp" on TCP port 30035
I0909 09:45:53.796232    2758 proxier.go:877] Opened iptables from-host public port for service "random/np-ruby-ex:8080-tcp" on TCP port 30035
I0909 09:45:53.820822    2758 proxier.go:887] Opened iptables from-non-local public port for service "random/np-ruby-ex:8080-tcp" on TCP port 30035
I0909 09:47:41.894362    2758 proxier.go:1656] Opened local port "nodePort for random/np-ruby-ex:8080-tcp" (:30035/tcp)

Comment 7 errata-xmlrpc 2020-09-14 14:54:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.9 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3618


Note You need to log in before you can comment on or make changes to this bug.